### Method

# PangoOT Rulesetsubstitute

since: 1.4

#### Declaration [src]

    void
    pango_ot_ruleset_substitute (
      const PangoOTRuleset* ruleset,
      PangoOTBuffer* buffer
    )

#### Description [src]

Performs the OpenType GSUB substitution on `buffer` using the features in `ruleset`.

Available since: 1.4

#### Parameters

`buffer`

  Type: `PangoOTBuffer`

  A `PangoOTBuffer`

  The data is owned by the caller of the method.